开发者社区> 技术小胖子> 正文
阿里云
为了无法计算的价值
打开APP
阿里云APP内打开

Lync2010客户端无法登录Lync Server 2013

简介:
+关注继续查看

    随着微软2013系列产品的深入推广和功能的完善,越来越多的企业喜欢选择最新最好的微软基础架构产品,Lync Server 2013就是一款现在非常流行的企业内部的即时通讯工具。很多用户可能在客户端的选择上,或多或少的都会从早期的 Office Communicator 2007 R2,到后来的 Lync 2010,再到现在的Lync 2013客户端版本。但是如今,有些企业在升级到了 Lync Server 2013之后,部分好奇的用户会安装最新的Lync 2013客户端,尝鲜最新最炫的用户界面和新功能,体现相当良好。但是有一部分老用户如果使用之前的Lync 2010的客户端。则会发现根本无法连接到服务器端(如下图),使得Lync根本无法使用,从而带来了很大的工作影响,接下来我们讲讲如何处理这类问题。

Lync 2013客户端

image

Lync 2010客户端

image

解决办法:

1. 我们登录到Lync 2013的控制台界面,在“客户端”-“客户端版本策略”中发现了绿色和***框所标注出来的两条策略。

image

a)绿色显示的是当OC客户端版本低于 4.0.7577.4103 这个版本,那么服务器将“阻止”其访问;

b)***显示的是当OC客户端版本高于或等于15.0.4128.0这个版本,那么服务器将“允许”其访问;

从而我们来检查我们现在的Lync2010&Lync2013两个客户端版本.

先看可以正常使用的Lync2013的版本,版本满足上述b条件,允许访问

image

再来看看无法登陆的Lync2010客户端,由于版本过低,满足a条件,被策略组织了访问

image

 

2. 既然问题的根本原因找到了,那我们修改策略即可。

我们将所有用户代理类为“OC”且操作为“阻止”的项打开,版本都改为0.0.0.0,“比较操作”改为“较新或相同”,“操作”改为“允许”

下图中3.5.6907.233这个版本是控制Office Communicator 2007 R2的客户端的

注:如果修改多个OC版本的时候,提示之前已经有相同版本的策略时,是以为之前已经有被改为0.0.0.0版本号了,这时候,直接删除该策略就是可以。

image

image

image

3. 再次尝试登录Lync2010客户端,发现可以正常登录了

image

4. 如果上述方法还不能正常登录Lync2010的 话,那么就直接取消掉“客户端版本配置”里面的“启用版本控制”的勾就可以了,使得任何版本的客户端都可以登录。

image






     本文转自horse87 51CTO博客,原文链接:http://blog.51cto.com/horse87/1617504,如需转载请自行联系原作者




版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

相关文章
21114
文章
0
问答
文章排行榜
最热
最新
相关电子书
更多
低代码开发师(初级)实战教程
立即下载
阿里巴巴DevOps 最佳实践手册
立即下载
冬季实战营第三期:MySQL数据库进阶实战
立即下载